<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html">
    
    <body>
        <ui:component>
            <p:dialog
                id="deleteGrupoJerarquicoPopupId"
                header="Grupo Jerárquico"
                widgetVar="deleteGrupoJerarquicoPopup"
                modal="true"
                resizable="false"                
                closable="false"
                draggable="false" >
                
                <h:panelGroup id="pnDeleteGpoJer" >
                    <h:form id="gpoJerForm">                        
                        
                        <h:panelGroup rendered="#{gruposJerarquicosMB.gruposJerarquicosSelected == null}">
                            Debe seleccionar un grupo jerárquico
                            <br/><br/>
                            <p:commandButton 
                                value="#{translatedMessage['common.label.back']}" 
                                action="ListGrupoJerarquico" 
                                immediate="true" 
                                ajax="false"/>
                        </h:panelGroup>   

                        <h:panelGroup rendered="#{gruposJerarquicosMB.gruposJerarquicosSelected != null}">
                            <h:panelGrid columns="2" cellpadding="5" columnClasses="centered,centered3">
                                 
                            <p:column>                          
                                <h:outputLabel 
                                    for="claveJerarquica" 
                                    value="#{translatedMessage['restricted.grupoJerarquico.claveJerarquica']}"/>
                                 </p:column>
                            <p:column>
                                <h:outputText 
                                    id="claveJerarquica" 
                                    value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strClaveJerarquica}"/>
                                 </p:column>
                            <p:column>
                                <h:outputLabel 
                                    for="descripcionJerarquica" 
                                    value="#{translatedMessage['restricted.grupoJerarquico.descGpoJer']}"/>
                                 </p:column>
                            <p:column>
                                <h:outputText 
                                    id="descripcionJerarquica" 
                                    value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strDescripcion}"/>                                
                                 </p:column>
                            <p:column>
                                <h:outputLabel 
                                    for="SGMM" 
                                    value="#{translatedMessage['restricted.grupoJerarquico.SGMM']}"/>
                                 </p:column>
                            <p:column>
                                <h:outputText 
                                    id="SGMM" 
                                    value="#{gruposJerarquicosMB.gruposJerarquicosSelected.strSgmm}"/>  
                                 </p:column>
                           
                            </h:panelGrid>                    
                        </h:panelGroup>

                       
                        <br/>     
                        
                        <div align="right">
                             <p:messages 
                            showDetail="false" 
                            showSummary="true"/>

                                    <p:commandButton                            
                                        value="Activar"
                                        style="display: #{gruposJerarquicosMB.strValidarBotonActivar};font-size: small;width: 80px; margin-bottom: 2px;"
                                        oncomplete="redirect(xhr, status, args, 'ListGrupoJerarquico.jsf');"
                                        actionListener="#{gruposJerarquicosMB.updateActivar}" >

                                        <p:confirm 
                                            header="Confimación" 
                                            message="¿Está seguro de activar el grupo jerárquico?" 
                                            icon="ui-icon-alert" />                            
                                    </p:commandButton>  
                                    
                                    <p:confirmDialog 
                                        global="true" 
                                        showEffect="fade" 
                                        hideEffect="fade">

                                        <p:commandButton 
                                            value="Si" 
                                            type="button" 
                                            styleClass="ui-confirmdialog-yes" 
                                            icon="ui-icon-check" />

                                        <p:commandButton 
                                            value="No" 
                                            type="button" 
                                            styleClass="ui-confirmdialog-no" 
                                            icon="ui-icon-close" />
                                    </p:confirmDialog>                                      
                               
                                    <p:commandButton                            
                                        value="Inactivar"
                                        style="display: #{gruposJerarquicosMB.strValidarBotonInactivar};font-size: small;width: 80px; margin-bottom:2px;"
                                        oncomplete="redirect(xhr, status, args, 'ListGrupoJerarquico.jsf');"
                                        actionListener="#{gruposJerarquicosMB.updateDesactivar}" >

                                        <p:confirm 
                                            header="Confimación" 
                                            message="¿Está seguro de inactivar el grupo jerárquico?" 
                                            icon="ui-icon-alert" />                            
                                    </p:commandButton>
                                    
                                    <p:confirmDialog 
                                        global="true" 
                                        showEffect="fade" 
                                        hideEffect="fade">

                                        <p:commandButton 
                                            value="Si" 
                                            type="button" 
                                            styleClass="ui-confirmdialog-yes" 
                                            icon="ui-icon-check" />

                                        <p:commandButton 
                                            value="No" 
                                            type="button" 
                                            styleClass="ui-confirmdialog-no" 
                                            icon="ui-icon-close" />
                                    </p:confirmDialog>                                      
                               
                                    <p:commandButton
                                        value="Cerrar"
                                        type="button" style="font-size: small; width: 80px"
                                        onclick="location = 'ListGrupoJerarquico.jsf';">
                                    </p:commandButton>
                        </div>
                    </h:form>
                </h:panelGroup>                
            </p:dialog>
        </ui:component>        
    </body>    
</html>
